graphSumStats {ScISI} | R Documentation

## An initiation function to generate graph statistics

### Description

This function takes an in silico interactome and a list of Y2H experimental data (see details) and generates various graph summary statistics.

### Usage

    graphSumStats(ISI, bait2PreyL)

### Arguments

`ISI` | An incidence matrix representation of a bi-partite graph of an in silico interactome
`bait2PreyL` | A list of y2h information. The data structure is that of intactInfo.rda of the y2hStat package

### Value

`complex` | A character vector of the constituent members of the proteinn complex of interest
`complexBait` | A character vector of those protein members which were also tested as baits in the y2h experiment
`notBait` | A character vector of those protein members which were not tested as baits
`avgDegOut` | The average out-degree of the bait proteins of the complex of interest
`notIsolated` | A character vector of proteins that showed experimental binary affiliation for some other complex member
`y2hGraph` | An instance of the class graph; a graphNEL induceds Y2H graph on the protein complex
`popMeanDegree` | The population mean degree derived from the bait proteins
`edgeProp` | The estimated edge proportions derived between undirected Y2H edges
`degBait` | A named list; each name corresponds to each member of the protein complex with the entry the number of proteins to which it is adjacent

### Author(s)

T Chiang

[Package ScISI version 1.16.0 Index]